Bug 978824 - Clarify the need for a ftp or http server when importing distros
Clarify the need for a ftp or http server when importing distros
Status: NEW
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
0.12
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 03:50 EDT by Raymond Mancy
Modified: 2016-05-26 09:21 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2013-06-27 03:50:41 EDT
Description of problem:

Currently it is not crystal clear that importing from a composeinfo or treeinfo file requires either to import it from a http or ftp location.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Read the doc
2. The example shows importing from http, ftp and nfs
3. Don't follow the example

Actual results:

If you import just from nfs then it will not work

Expected results:

To have it made clear that if you do this it will not work, and why.

Additional info:
Comment 1 Amit Saha 2013-06-27 03:53:49 EDT
The doc should have examples as well.
Comment 2 Raymond Mancy 2013-06-27 04:04:46 EDT
It already does have examples of what to do. The problem is that it doesn't spell out what variations of the example is valid.
Comment 3 Amit Saha 2013-06-27 04:07:44 EDT
(In reply to Raymond Mancy from comment #2)
> It already does have examples of what to do. The problem is that it doesn't
> spell out what variations of the example is valid.

Right, that's what I meant. Show the combinations that work, and those that don't and what gets imported, etc.
Comment 5 wangjing 2013-07-05 01:42:10 EDT
the doc page: http://beaker-project.org/docs/admin-guide/distro-import.html
Comment 6 Nick Coghlan 2013-12-15 18:49:57 EST
Perhaps we should add a section in the architecture guide about the distro model, and what it means for a distro to be "available" in a lab?

Bug 1043318 also notes some additional constraints around the fact that we assume "available over HTTP" implies "available over NFS", and that constrains the way people configure the HTTP server providing the trees.

In particular, we need to make it clear that provisioning over a WAN is a *really* bad idea, since it wastes both time and bandwidth (unless you have a high capacity WAN optimiser that can handle implicit caching of entire operating system trees).

Note You need to log in before you can comment on or make changes to this bug.